Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.snmp
Class SNMPValue

    java.lang.Object
      net.hyperic.snmp.SNMPValue

public class SNMPValue
extends java.lang.Object

Field Summary
`static int` `TYPE_LONG`
`static int` `TYPE_LONG_CONVERTABLE`
`static int` `TYPE_STRING`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getOID()`
`int` `getType()`
`long` `toLong()`
`static long` `toLong(com.netaphor.snmp.Variable variable)`
`java.lang.String` `toPhysAddressString()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_LONG

    public static final int TYPE_LONG

See Also:
  Constant Field Values

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_LONG_CONVERTABLE

    public static final int TYPE_LONG_CONVERTABLE

See Also:
  Constant Field Values

Method Detail

### toString

    public java.lang.String toString()

### toPhysAddressString

    public java.lang.String toPhysAddressString()

### getOID

    public java.lang.String getOID()

### getType

    public int getType()

### toLong

    public long toLong()
                throws SNMPException

  Returns:
    The value of the variable as a long
  Throws:
    `SNMPException` - If the variable cannot be expressed as a long.

### toLong

    public static long toLong(com.netaphor.snmp.Variable variable)
                       throws SNMPException

  Returns:
    The value of the variable as a long
  Throws:
    `SNMPException` - If the variable cannot be expressed as a long.

### equals

    public boolean equals(java.lang.Object o)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.